//=============================================================================
// CFGSSnowball.
//=============================================================================
class CFGSSnowball extends DeusExWeapon;

simulated function PreBeginPlay()
{
	Super.PreBeginPlay();

	// If this is a netgame, then override defaults
	if ( Level.NetMode != NM_StandAlone )
	{
		HitDamage = mpHitDamage;
		BaseAccuracy = mpBaseAccuracy;
		ReloadTime = mpReloadTime;
		AccurateRange = mpAccurateRange;
		MaxRange = mpMaxRange;
	}
}

function PostBeginPlay()
{
   Super.PostBeginPlay();
   bWeaponStay=False;
}

defaultproperties
{
     PlayerViewOffset=(X=20.000000,Y=9.700000,Z=-10.000000)
     FireOffset=(X=0,Y=1,Z=5)
     CollisionHeight=2.000000
     CollisionRadius=3.600000
     Description="Balls to you!"
     beltDescription="Snowball"
     ItemName="Snowball"
     ItemArticle="some"
     shakemag=50.000000
     AmmoName=Class'FGSXmas11v02.AmmoSnowball'
     ReloadCount=1
     PickupAmmoCount=10
     LowAmmoWaterMark=4
     GoverningSkill=Class'DeusEx.SkillWeaponLowTech'
     EnemyEffective=ENMEFF_Organic
     EnviroEffective=ENVEFF_Air
     Concealability=CONC_All
     ShotTime=0.300000
     reloadTime=0.100000
     HitDamage=18
     maxRange=4800
     AccurateRange=2400
     BaseAccuracy=1.000000
     bPenetrating=False
     StunDuration=60.000000
     bHasMuzzleFlash=False
     bHandToHand=True
     bUseAsDrawnWeapon=False
     AITimeLimit=4.000000
     AIFireDelay=20.000000
     bNeedToSetMPPickupAmmo=False
     mpReloadTime=0.100000
     mpHitDamage=18
     mpBaseAccuracy=1.000000
     mpAccurateRange=2400
     mpMaxRange=2400
     PlayerViewMesh=LodMesh'FGSXmas11v02.Snowball'
     PickupViewMesh=LodMesh'FGSXmas11v02.Snowball3rd'
     ThirdPersonMesh=LodMesh'FGSXmas11v02.Snowball3rd'
     Mesh=LodMesh'FGSXmas11v02.Snowball3rd'
     LandSound=Sound'DeusExSounds.Weapons.CombatKnifeHitFlesh'
     SelectSound=Sound'DeusExSounds.Weapons.CrowbarSelect'
     Icon=Texture'FGSXmas11v02.Weapons.Snowball_BeltIcon'
     largeIcon=Texture'FGSXmas11v02.Weapons.Snowball_LargeIcon'
     largeIconWidth=20
     largeIconHeight=48
     ProjectileClass=Class'FGSXmas11v02.CFGSSnowballProj'
     Mass=10.000000
     Buoyancy=8.000000
}