//=============================================================================
// CFGSSnowballProj.
//=============================================================================
class CFGSSnowballProj extends DeusExProjectile;

var float AddedRot;
var Rockchip Chip;

var float mpDamage;
var float mpBlastRadius;
var int	mpAccurateRange;
var int	mpMaxRange;

simulated function PreBeginPlay()
{
	Super.PreBeginPlay();

	Damage = mpDamage;
	BlastRadius = mpBlastRadius;
}


Simulated function SpawnEffects(Vector HitLocation, Vector HitNormal, Actor Other)
{
	local int i;
        local Rockchip chip;
	local rotator R;

	for(I=0;I<8;I++)
	{
		R.Pitch=0+AddedRot;
		Chip=Spawn(class'Rockchip',,,Location,R);
		AddedRot+=8192;
		if(Chip!=None)
		{
			Chip.Multiskins[0]=Texture'Extension.Solid';
		}
	}

	Super.SpawnEffects(HitLocation,Hitnormal,Other);
}

defaultproperties
{
    mpDamage=18.000000
    mpblastRadius=5.00
    ItemName="Snowball"
    DamageType=Shot
    ItemArticle="a"
    blastRadius=5.00
    speed=1400.00
    MaxSpeed=1400.00
    Damage=28.00
    ImpactSound=Sound'DeusExSounds.Weapons.CombatKnifeHitFlesh'
    Physics=2
    Velocity=(X=0.00,Y=0.00,Z=120.00),
    Mesh=LodMesh'FGSXmas11v02.Snowball3rd'
    DrawScale=0.75
    CollisionRadius=4.00
    CollisionHeight=4.00
    bBounce=True
    bFixedRotationDir=True
}