//===================================================================================
// CFGSImport.
//===================================================================================
class CFGSImport extends Object
	abstract;

//+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
//                     Textures.
//+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
//
//Snowball Icons.
//
#exec TEXTURE IMPORT NAME=Snowball_BeltIcon     FILE=Textures\Decorations\Snowball_BeltIcon.bmp     GROUP=Weapons FLAGS=2
#exec TEXTURE IMPORT NAME=Snowball_LargeIcon    FILE=Textures\Decorations\Snowball_LargeIcon.bmp    GROUP=Weapons FLAGS=2

//Snowflakes
//
#exec TEXTURE IMPORT NAME=Snowflake1 FILE=Textures\Decorations\Snowflake1.bmp GROUP=Decoration FLAGS=2


//+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
//                      Models.
//+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
//
//Snowball.
//
#exec MESH IMPORT MESH=Snowball ANIVFILE=MODELS\Snowball_a.3d DATAFILE=MODELS\Snowball_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=Snowball X=0 Y=0 Z=0 YAW=-128

#exec MESHMAP SCALE MESHMAP=Snowball X=0.168565 Y=0.168565 Z=0.168565

#exec MESH SEQUENCE MESH=Snowball SEQ=All	STARTFRAME=0  NUMFRAMES=32
#exec MESH SEQUENCE MESH=Snowball SEQ=Still	STARTFRAME=0  NUMFRAMES=1
#exec MESH SEQUENCE MESH=Snowball SEQ=Down	STARTFRAME=1  NUMFRAMES=4		RATE=16
#exec MESH SEQUENCE MESH=Snowball SEQ=Select	STARTFRAME=6  NUMFRAMES=4		RATE=20	GROUP=Select
#exec MESH SEQUENCE MESH=Snowball SEQ=Attack	STARTFRAME=10 NUMFRAMES=10		RATE=18
#exec MESH SEQUENCE MESH=Snowball SEQ=Attack2	STARTFRAME=10 NUMFRAMES=10		RATE=18
#exec MESH SEQUENCE MESH=Snowball SEQ=Attack3	STARTFRAME=10 NUMFRAMES=10		RATE=18
#exec MESH SEQUENCE MESH=Snowball SEQ=Idle1	STARTFRAME=21 NUMFRAMES=11		RATE=12
#exec MESH SEQUENCE MESH=Snowball SEQ=Idle2	STARTFRAME=21 NUMFRAMES=11		RATE=12
#exec MESH SEQUENCE MESH=Snowball SEQ=Idle3	STARTFRAME=21 NUMFRAMES=11		RATE=12

/*
0-1        Still            1
0-71       All              71
0-11       Unequip          11
12-23      Equip            11
23-37      Attack           14 //Same for all yeaaaah.
39-51      Idle1            12
51-62      Idle2            11
62-71      Idle3            9
*/

#exec MESH NOTIFY MESH=Snowball SEQ=Attack	TIME=0.7	FUNCTION=HandToHandAttack
#exec MESH NOTIFY MESH=Snowball SEQ=Attack2	TIME=0.7	FUNCTION=HandToHandAttack
#exec MESH NOTIFY MESH=Snowball SEQ=Attack3	TIME=0.7	FUNCTION=HandToHandAttack

#exec MESHMAP SETTEXTURE MESHMAP=Snowball NUM=0 TEXTURE=DeusExItems.WeaponHandsTex
#exec MESHMAP SETTEXTURE MESHMAP=Snowball NUM=1 TEXTURE=DeusExItems.WeaponHandsTex
#exec MESHMAP SETTEXTURE MESHMAP=Snowball NUM=2 TEXTURE=DeusExDeco.MoonTex1




//Snowball3rd.
//
#exec MESH IMPORT MESH=Snowball3rd ANIVFILE=MODELS\Snowball3rd_a.3d DATAFILE=MODELS\Snowball3rd_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=Snowball3rd X=0 Y=0 Z=0

//#exec MESHMAP SCALE MESHMAP=Snowball3rd X=0.168565 Y=0.168565 Z=0.168565
#exec MESHMAP SCALE MESHMAP=Snowball3rd X=0.026618 Y=0.026618 Z=0.026618

#exec MESH SEQUENCE MESH=Snowball3rd SEQ=All STARTFRAME=0 NUMFRAMES=71

#exec MESHMAP NEW MESHMAP=Snowball3rd MESH=Snowball3rd

#exec MESHMAP SETTEXTURE MESHMAP=Snowball3rd NUM=0 TEXTURE=DeusExDeco.MoonTex1

defaultproperties
{
}
